package com.ruoyi.ems.mapper;

import java.util.List;

import com.ruoyi.ems.domain.DevcType;

/**
 * 设备类型Mapper接口
 *
 * @author ruoyi
 * @date 2024-08-05
 */
public interface DevcTypeMapper {
    /**
     * 查询设备类型
     *
     * @param id 设备类型主键
     * @return 设备类型
     */
    DevcType selectDevcTypeById(Long id);

    /**
     * 查询设备类型列表
     *
     * @param devcType 设备类型
     * @return 设备类型集合
     */
    List<DevcType> selectDevcTypeList(DevcType devcType);

    /**
     * 新增设备类型
     *
     * @param devcType 设备类型
     * @return 结果
     */
    int insertDevcType(DevcType devcType);

    /**
     * 修改设备类型
     *
     * @param devcType 设备类型
     * @return 结果
     */
    int updateDevcType(DevcType devcType);

    /**
     * 删除设备类型
     *
     * @param id 设备类型主键
     * @return 结果
     */
    int deleteDevcTypeById(Long id);

    /**
     * 批量删除设备类型
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int deleteDevcTypeByIds(Long[] ids);
}
